Package ru.bitel.bgbilling.modules.rscm.common.bean

# Class RSCMContractServiceInstallment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.rscm.common.bean.RSCMContractServiceInstallment

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class RSCMContractServiceInstallment extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSCMContractServiceInstallment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAmountDown()`
  `int`
  `getAmountUp()`
  `LocalDate`
  `getDateFrom()`
  `LocalDate`
  `getDateNext()`
  `String`
  `getInstallment()`
  `int`
  `getPaymentCount()`
  `int`
  `getServiceId()`
  `RSCMContractServiceInstallmentStatus`
  `getStatus()`
  `RSCMContractServiceInstallment`
  `setAmountDown(int amountDown)`
  `RSCMContractServiceInstallment`
  `setAmountUp(int amountUp)`
  `RSCMContractServiceInstallment`
  `setContractId(int contractId)`
  `RSCMContractServiceInstallment`
  `setDateFrom(LocalDate dateFrom)`
  `RSCMContractServiceInstallment`
  `setDateNext(LocalDate dateNext)`
  `RSCMContractServiceInstallment`
  `setId(int id)`
  Устанавливает id объекта
  `RSCMContractServiceInstallment`
  `setInstallment(String installment)`
  `RSCMContractServiceInstallment`
  `setPaymentCount(int paymentCount)`
  `RSCMContractServiceInstallment`
  `setServiceId(int serviceId)`
  `RSCMContractServiceInstallment`
  `setStatus(RSCMContractServiceInstallmentStatus status)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RSCMContractServiceInstallment

    public RSCMContractServiceInstallment()

- ## Method Details

  - ### getAmountDown

    public int getAmountDown()

  - ### getAmountUp

    public int getAmountUp()

  - ### getDateFrom

    public LocalDate getDateFrom()

  - ### getDateNext

    public LocalDate getDateNext()

  - ### getInstallment

    public String getInstallment()

  - ### getPaymentCount

    public int getPaymentCount()

  - ### getServiceId

    public int getServiceId()

  - ### getStatus

    public RSCMContractServiceInstallmentStatus getStatus()

  - ### setAmountDown

    public RSCMContractServiceInstallment setAmountDown(int amountDown)

  - ### setAmountUp

    public RSCMContractServiceInstallment setAmountUp(int amountUp)

  - ### setContractId

    public RSCMContractServiceInstallment setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setDateFrom

    public RSCMContractServiceInstallment setDateFrom(LocalDate dateFrom)

  - ### setDateNext

    public RSCMContractServiceInstallment setDateNext(LocalDate dateNext)

  - ### setId

    public RSCMContractServiceInstallment setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setInstallment

    public RSCMContractServiceInstallment setInstallment(String installment)

  - ### setPaymentCount

    public RSCMContractServiceInstallment setPaymentCount(int paymentCount)

  - ### setServiceId

    public RSCMContractServiceInstallment setServiceId(int serviceId)

  - ### setStatus

    public RSCMContractServiceInstallment setStatus(RSCMContractServiceInstallmentStatus status)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`